/**************************************************************************
* This file is part of the WebIssues Desktop Client program
* Copyright (C) 2006 Michał Męciński
* Copyright (C) 2007-2014 WebIssues Team
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
**************************************************************************/

#ifndef VIEWFACTORY_H
#define VIEWFACTORY_H

class View;

class QObject;
class QWidget;

/**
* Factory for creating views.
*/
class ViewFactory
{
public:
    /**
    * Create a view of the given class.
    * @param className Name of the view's class.
    * @param parent The parent object of the view.
    * @param parentWidget The parent widget of the view's main widget.
    * @return The created view.
    */
    static View* createView( const char* className, QObject* parent, QWidget* parentWidget );
};

#endif
